Bug 497863 - Review Request: mb2md - Mailbox to maildir converter
Summary: Review Request: mb2md - Mailbox to maildir converter
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-04-27 15:48 UTC by Susi Lehtola
Modified: 2009-05-09 04:07 UTC (History)
3 users (show)

Fixed In Version: 3.20-4.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-09 04:00:39 UTC
jochen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Susi Lehtola 2009-04-27 15:48:32 UTC
Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/mb2md.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/mb2md-3.20-1.fc10.src.rpm

Description:

Convert your emails folders in mailbox format to maildirs.
Currently mb2md.pl has the following features:

* converting the user's main mailbox that is referenced by the ENV variable
  $MAIL
* converting a single mailbox into corresponding maildir
* converting multiple mailboxes in a directory into corresponding maildirs
* recursive operation on a given directory to convert the complete mail
  storage of one user
* replaces all occurrences of dots ('.') in a mailbox name by underscores ('_')
* is able to handle spaces in mailbox names
* is able to handle leading/trailing spaces in mailbox names
* converts mbox files in DOS format (CRLF) to Unix file format
* can strip an extension (e.g. ".mbx") from a mailbox name prior to converting
* uses the Content-Length: header if told to
* removal of dummy message that a couple of IMAP servers (e.g. UW-IMAPD) put at
  the beginning of a mailbox
* removal of the "From " line that starts every mail in a mailbox
* removal of the special escape character (>) that the MTA puts in front of
  lines starting with "From " other than the first line
* setting the file date of a converted message according to the date found in
  the "From " line of the original mail
* setting the flags F,R,S,T (flagged, replied, seen, deleted) on the filename
  of the converted message according to the flags found in 
  "Status:"/"X-Status:"/"X-Mozilla-Status:"/"X-Evolution:" headers of the
  original mail

Comment 1 Jochen Schmitt 2009-04-27 17:44:54 UTC
First comment for this review:

1.) I have got the following error messages:

$ rpmbuild -bp mb2md.spec
Ausführung(%prep): /bin/sh -e /var/tmp/rpm-tmp.cGZGxo
+ umask 022
+ cd /home/s4504kr/rpmbuild/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /home/s4504kr/rpmbuild/BUILD
+ rm -rf mb2md-3.20
+ /bin/mkdir -p mb2md-3.20
+ cd mb2md-3.20
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ gunzip -c /home/s4504kr/rpmbuild/SOURCES/mb2md-3.20.pl.gz
+ touch -r /home/s4504kr/rpmbuild/SOURCES/mb2md-3.20.pl.gz mb2md.pl
+ cp -a /home/s4504kr/rpmbuild/SOURCES/changelog.txt .
+ grep -v '#-----'
++ wc -l mb2md.pl
++ awk '{print $2}'
+ grep -v '#!/'
+ grep -B mb2md.pl '#---------' mb2md.pl
+ cut -c3-
grep: mb2md.pl: invalid context length argument

2.) It may be nice, if you can create a shorter description of this package.

Comment 2 Susi Lehtola 2009-04-27 19:30:15 UTC
(In reply to comment #1)
> First comment for this review:
> 
> 1.) I have got the following error messages:

clip
 
> + cut -c3-
> grep: mb2md.pl: invalid context length argument

That's true, I had the same error message but didn't notice it among the other output. In retrospect, awk argument should be $1 not $2. Fixed.

> 2.) It may be nice, if you can create a shorter description of this package.  

Well, OK. Now it fits well in a single 80x24 screen.

http://theory.physics.helsinki.fi/~jzlehtol/rpms/mb2md.spec
http://theory.physics.helsinki.fi/~jzlehtol/rpms/mb2md-3.20-2.fc10.src.rpm

Comment 3 Jochen Schmitt 2009-05-05 17:44:05 UTC
Good:
+ Package name fits naming guidelines.
+ Basename of the SPEC files fits with package name.
+ Could open URL in URL tag
+ Could download source files with spectool -g
+ Source file matches with upstream version
(md5sum: b47eaa6ae4231a42f4a15564a08eb439)
+ Consistently usage of rpm macros.
+ Package contains valid License tag
+ License tag contains 'Public Domain' as a valid OSS license
+ License fits with copyright note in source file
+ Package contains no verbatin license text
  (IMHO this is not required for Public Domain)
+ Package contains no subpackages
+ Local build works fine
+ Rpmlint is quite for source package
+ Rpmlint is quite for binary package
+ Files has proper files permissions
+ Files stanza contains no duplicates
+ Local install and uninstall works fine.
+ Scratch build on koji works fine.
+ Package contains proper %changelog

Bad:
- Why do you don't but the generated readme.txt file no into
  the %doc stanza?
- Local test fais.
  I have try to copy a mbox file form /var/spool/mail into a
  directroy and then call mb2md -s <file>. I have got the following
  message: mb2md.pl -s s4504kr
  Fatal: Source is not an mbox file or a directory!

Comment 4 Susi Lehtola 2009-05-05 18:22:17 UTC
(In reply to comment #3)
> Bad:
> - Why do you don't but the generated readme.txt file no into
>   the %doc stanza?

Fixed, thanks for catching.

> - Local test fais.
>   I have try to copy a mbox file form /var/spool/mail into a
>   directroy and then call mb2md -s <file>. I have got the following
>   message: mb2md.pl -s s4504kr
>   Fatal: Source is not an mbox file or a directory!  

Uhh, I just tested it with a mailbox both with
 $ mb2md -m
 $ mb2md -s mbox
and both also with a destination directory argument, all of them worked like a charm.

Are you sure the file you tried was a mailbox format file?

http://theory.physics.helsinki.fi/~jzlehtol/rpms/mb2md.spec
http://theory.physics.helsinki.fi/~jzlehtol/rpms/mb2md-3.20-3.fc10.src.rpm

PS. If you're reviewing this, please put your email address in the "Assigned to" field and set the fedora-review flag to "?".

Comment 5 Jochen Schmitt 2009-05-05 18:35:08 UTC
Can you explain me the following behaviour?

$ mb2md.pl -s s4504kr
Fatal: Source is not an mbox file or a directory!
[s4504kr@zeus mbtest]$ mv s4504kr mbox
[s4504kr@zeus mbtest]$ mb2md.pl -s mbox
Converting /home/s4504kr/mbox to maildir: /home/s4504kr/Maildir
Source Mbox is /home/s4504kr/mbox
Target Maildir is /home/s4504kr/Maildir
2 messages.

Comment 6 Jochen Schmitt 2009-05-05 19:17:09 UTC
Ok, I have a closer look and find out, that my complaints may be rise by a lack of understanding your application.

So I can APPROVE your package.

Comment 7 Susi Lehtola 2009-05-05 19:26:11 UTC
Thanks for the review!

New Package CVS Request
=======================
Package Name: mb2md
Short Description: Mailbox to maildir converter
Owners: jussilehtola
Branches: EL-4 EL-5 F-10 F-11
InitialCC:

Comment 8 Jochen Schmitt 2009-05-05 19:51:48 UTC
Unfortunately, I have forgotten to complaints, that your package should have a Requires: perl line.

It will be nice, if you can add this line in your package.

Comment 9 Susi Lehtola 2009-05-05 20:33:02 UTC
(In reply to comment #8)
> Unfortunately, I have forgotten to complaints, that your package should have a
> Requires: perl line.
> 
> It will be nice, if you can add this line in your package.  

No need, it's automatically picked up by rpm:

$ rpm -qpR mb2md-3.20-3.fc10.noarch.rpm
/usr/bin/perl  
perl(Date::Parse)  
perl(Fcntl)  
perl(Getopt::Std)  
perl(IO::Handle)  
perl(strict)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

Comment 10 Kevin Fenzi 2009-05-06 21:03:43 UTC
cvs done.

Comment 11 Fedora Update System 2009-05-07 09:02:15 UTC
mb2md-3.20-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mb2md-3.20-4.fc10

Comment 12 Fedora Update System 2009-05-07 09:03:06 UTC
mb2md-3.20-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mb2md-3.20-4.fc11

Comment 13 Fedora Update System 2009-05-09 04:00:34 UTC
mb2md-3.20-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-05-09 04:07:05 UTC
mb2md-3.20-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.